Bug 524622 - "Not enough space" dialog has inaccurate reasoning
Summary: "Not enough space" dialog has inaccurate reasoning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 14:00 UTC by Jan Stodola
Modified: 2013-01-10 02:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 21:44:28 UTC


Attachments (Terms of Use)
screenshot (81.26 KB, image/png)
2009-09-21 14:00 UTC, Jan Stodola
no flags Details

Description Jan Stodola 2009-09-21 14:00:22 UTC
Created attachment 361943 [details]
screenshot

Description of problem:
When extending logical volume on volume group with no space left, anaconda shows dialog window with  text:
The logical volumes you have configured require 932 MB, but the volume group only has 15156 MB. (see screenshot)

Version-Release number of selected component (if applicable):
rawhide-20090920, anaconda-12.26-1

How reproducible:
always

Steps to Reproduce:
1. on the first partitioning screen select "Use entire drive" and "Review and modify partitioning layout"
2. click Next
3. select and edit volume group
4. select and edit any logical volume on the volume group
5. increase size of this logical volume (current size + 1 MB)
  
Actual results:
The logical volumes you have configured require 932 MB, but the volume group only has 15156 MB.

Expected results:
something like: The logical volumes you have configured require 932 MB, but the volume group only has 928 MB available.

Comment 1 Bug Zapper 2009-11-16 12:43:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-11-04 09:53:57 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jesse Keating 2012-06-29 21:44:28 UTC
This was fixed back in 2010, with commit aa38414669a63ac53fa27935e7a2c1c90f670056


Note You need to log in before you can comment on or make changes to this bug.